Reply
 
Thread Tools Display Modes
  #1  
Old 07-15-2009, 12:34 AM
hvaya hvaya is offline
Junior Member
 
Join Date: Jul 2009
Posts: 10
Thanks: 0
Thanked 0 Times in 0 Posts
Default Java jre not working.
After downloading java jre pbi and installing it to default folder in pc-bsd 7.1.1, its not working either in opera, firefox or konqueror. Maybe it need some tweaking, but its working direct in linux distros like ubuntu, zenwalk, mepis...without any need for tweaking...

message in all browsers "..you dont have java installed.."
Reply With Quote
  #2  
Old 07-15-2009, 03:41 PM
Galraedia's Avatar
Galraedia Galraedia is offline
Super Moderator
 
Join Date: Jan 2009
Location: Here, where else?
Posts: 294
Thanks: 1
Thanked 13 Times in 7 Posts
Default Re: Java jre not working.
First try these steps to try getting Java to work within Opera, since you seem to already have it installed.

Using Java in Opera:

1. Download Java from the PBI Directory, double-click the PBI file to start installation.

2. In Opera, go to "Tools > Preferences > Advanced > Content". Check "Enable Java". Click the "Java options...".

3. In the "Java path", browse to "/usr/local/diablo-jre1.5.0/lib/i386/" and click the "Validate Java path" button. If Java was installed properly, you'll get a "The Java path seems to specify a valid directory." message. Click "Ok" twice.

4. Close Opera, restart it and access the Java test page. You should see the Java mascot dancing, showing that Java is working fine


If this doesn't work try uninstalling it and install a previous version. For example, someone using the Firefox 2.0.0.3 PBI once had a problem getting the Java SDK 1.5.0.07.01 PBI to work with Firefox in PC-BSD;however, after they uninstalled the Java SDK and downloaded and installed the previous version,Java SDK 1.5.0.07, the browser worked fine and he was able to use Java.
__________________
PC-BSD is a friendly community.
We don't need _insert word here_ like you.
Have some courtesy for God'sakes.
Reply With Quote
  #3  
Old 07-15-2009, 07:29 PM
hvaya hvaya is offline
Junior Member
 
Join Date: Jul 2009
Posts: 10
Thanks: 0
Thanked 0 Times in 0 Posts
Default Re: Java jre not working.
Tried installing the two older java jre versions from the pbidir legacy site, but i get a message after downloading that they are corrupt.
I can see the figure dancing on the java test site with the newest version, but its flickering.
Problem is my bank login is not working. I just get an error message when trying to logging in - when the java starts loading.
Reply With Quote
  #4  
Old 07-16-2009, 06:01 PM
Galraedia's Avatar
Galraedia Galraedia is offline
Super Moderator
 
Join Date: Jan 2009
Location: Here, where else?
Posts: 294
Thanks: 1
Thanked 13 Times in 7 Posts
Default Re: Java jre not working.
You got it on the pbiDIR legacy site? It probably doesn't work because the legacy versions are meant to be used with 1.x versions of PC-BSD.

The one you want is here. Uninstall the newer version you have before installing the older one. If you still get a message saying that the download is corrupt it might be caused by the download manager your browser is using. It also might happen if you stop and resume a download.(I've actually had this happen to me before and I had to use another browser to download the file)
__________________
PC-BSD is a friendly community.
We don't need _insert word here_ like you.
Have some courtesy for God'sakes.
Reply With Quote
  #5  
Old 07-16-2009, 11:03 PM
hvaya hvaya is offline
Junior Member
 
Join Date: Jul 2009
Posts: 10
Thanks: 0
Thanked 0 Times in 0 Posts
Default Re: Java jre not working.
Have tried downloading both with konq. and opera and i get the same message with both browsers after installing and specifying paths in preferences; 'A fault have happened, please try again later' when trying to log in.
They are finding the java engine, because nothing happens at all if jre is not installed.

EDIT:
I now went to the official bank-identification site and there it was a site dedicated to testing and such the bank identification. When I go to 'test your computer' i get the message:

To use the bank identification on the machine it has to be installed another version of java. Install the latest official by clicking on the link below. Though the current java-version does not give errormessages with bank identification, it must of security reasons be changed.

http://java.com/en/download/manual.jsp


At another bigger national bank I get this when testing my computer:

Type and version BankID status:
Operation system: FreeBSD 7.2-STABLE
Browser: OP 9.64
Java: 1.6.0_07 Wrong java version
Networkaccess: Not testetd


Columns below show what you can do to use BankID on your machine:
Errorcode Description Suggestion of solution
31-41 - Version of java not supported
- This version of Java has known securityholes for your OS/browser combination. Upgrade Java to newer version.
Reply With Quote
  #6  
Old 07-18-2009, 07:54 PM
hvaya hvaya is offline
Junior Member
 
Join Date: Jul 2009
Posts: 10
Thanks: 0
Thanked 0 Times in 0 Posts
Default Re: Java jre not working.
I got it working now with firefox in wine and newest java jre, 1.6.0.14 after rebooting.
Trying opera in Wine it just stopped responding.

But I would like it native in BSD..

Is the pbi java jre 1.6.0.2 or is it 1.6.0.7 version?
Reply With Quote
  #7  
Old 07-20-2009, 05:09 PM
Galraedia's Avatar
Galraedia Galraedia is offline
Super Moderator
 
Join Date: Jan 2009
Location: Here, where else?
Posts: 294
Thanks: 1
Thanked 13 Times in 7 Posts
Default Re: Java jre not working.
I'm glad you were able to get Java working with your computer and I am sorry that I was unable to solve your problem. I don't keep track of Java versions and I didn't notice it until now that the Java PBI file is actually outdated. The latest JRE PBI file for PC-BSD is 1.6.0.2. However, your bank must require the latest version, which is unfortunately not even available for download as a PBI file. I imagine this is due to the lack of programmers available. They are the ones who are responsible for making the Java Runtime Environment versions into PBI files to be used on PC-BSD. I suggest going to the home page at the PBI Directory, here, and into the development section to find a community or programmer. You can then make it known to them that you would like it if they could make the latest JRE versions available as PBI files. Make them aware of what you went through and explain to them that the JRE versions at the PBI directory are outdated. Most likely they have been busy porting newer versions of other software; such as, Firefox, and haven't had time to do it. It might have also slipped their mind that it is time for a new version of JRE.
__________________
PC-BSD is a friendly community.
We don't need _insert word here_ like you.
Have some courtesy for God'sakes.
Reply With Quote
  #8  
Old 11-14-2010, 01:11 PM
mgreen mgreen is offline
Member
 
Join Date: Jun 2006
Location: UK
Posts: 37
Thanks: 0
Thanked 0 Times in 0 Posts
Default opera 10.63 and java
PCBSD 8.1
Opera as supplied will work with java as supplied on the DVD ( and Flash 10 ) . However if you let software_manager update opera to 10.63 , then java will NOT work because opera 10.63 looks for the java plugin "libnpjp2.so" which is a different file than used by opera 10.01 and is not in the release. The firefox wont work with flash 10 - try it on www.aviationnow.com which has a flash 10 thing on the left side. If you want proper browsing with release 8.1 then stick with the opera 10.01 as released on the DVD and dont bother with firefox.
Reply With Quote
  #9  
Old 05-10-2011, 01:22 AM
bumpty bumpty is offline
Junior Member
 
Join Date: Apr 2011
Location: Chicago
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default
I had the same problem with:

pbi:/PBI/java/diablo-jdk16/8/x32/JavaJDK1.6.0.07.02_7-PV0.pbi&mirror=http://ftp.heanet.ie/mirrors/pcbsd

I finally fixed it by installing the current pbi for openJDK.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Java not working n FF3.05 dejamuse PBI Discussion 3 10-07-2009 05:06 PM
Java not working on opera 9.0 pcbsdusr Usage Bug Reports (read-only) 24 06-25-2006 03:19 PM


All times are GMT. The time now is 01:59 AM.


Powered by vBulletin® Version 3.8.5
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.

Copyright 2005-2010, The PC-BSD Project. PC-BSD and the PC-BSD logo are registered trademarks of iXsystems.
All other content is freely available for sharing under the terms of the Creative Commons Attribution License.